Name: x11-driver-video-r128
Version: 6.12.0
Release: %mkrel 3
Epoch: 1
Summary: X.org driver for ATI Rage 128
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-r128-%{version}.tar.bz2
Patch002: fix-build.patch

License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-r128 is the X.org driver for ATI Rage 128.


%prep
%autosetup -p1 -n xf86-video-r128-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/r128_drv.la
%{_libdir}/xorg/modules/drivers/r128_drv.so
%{_mandir}/man4/r128.*




%changelog
* Wed Feb 19 2020 tv <tv> 1:6.12.0-3.mga8
+ Revision: 1544033
- submit to core/release
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 24 2018 tv <tv> 1:6.12.0-1.mga7
+ Revision: 1324850
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1:6.11.0-2.mga7
+ Revision: 1301764
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1:6.11.0-1.mga7
+ Revision: 1246745
- new release

* Tue Jun 05 2018 tv <tv> 1:6.10.2-3.mga7
+ Revision: 1234700
- fix build with latest gcc/glibc
- fix one build issue with xserver 1.20
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 1:6.10.2-1.mga6
+ Revision: 1082224
- new release

* Thu Nov 17 2016 tv <tv> 1:6.10.1-3.mga6
+ Revision: 1067941
- add fixes from git

* Sat Jul 23 2016 tmb <tmb> 1:6.10.1-2.mga6
+ Revision: 1043261
- rebuild for xorg-server 1.18.4

* Thu Feb 11 2016 tv <tv> 1:6.10.1-1.mga6
+ Revision: 953750
- 6.10.1

* Tue Jan 19 2016 neoclust <neoclust> 1:6.10.0-4.mga6
+ Revision: 925864
- Rebuild to have correct requires on ARM

* Wed Nov 11 2015 tv <tv> 1:6.10.0-3.mga6
+ Revision: 902307
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1:6.10.0-2.mga6
+ Revision: 902058
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1:6.10.0-1.mga6
+ Revision: 836079
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1:6.9.2-9.mga5
+ Revision: 750727
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:6.9.2-8.mga5
+ Revision: 690446
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1:6.9.2-7.mga5
+ Revision: 635042
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1:6.9.2-6.mga5
+ Revision: 633691
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1:6.9.2-5.mga5
+ Revision: 614378
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1:6.9.2-4.mga5
+ Revision: 582318
- new release

* Fri Dec 06 2013 tmb <tmb> 1:6.9.2-3.mga4
+ Revision: 555608
- rebuild for new mesa

* Mon Oct 21 2013 umeabot <umeabot> 1:6.9.2-2.mga4
+ Revision: 538910
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 tv <tv> 1:6.9.2-1.mga4
+ Revision: 491024
- new release

* Thu May 30 2013 tv <tv> 1:6.9.1-3.mga4
+ Revision: 433184
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1:6.9.1-2.mga4
+ Revision: 386005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 tmb <tmb> 1:6.9.1-1.mga3
+ Revision: 299427
- clean spec
- update to 6.9.1

* Thu Sep 06 2012 tv <tv> 1:6.8.4-2.mga3.nonfree
+ Revision: 288967
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1:6.8.4-1.mga3
+ Revision: 273768
- new release

* Thu Jul 12 2012 tv <tv> 1:6.8.3-1.mga3
+ Revision: 270207
- new release

* Wed Jun 06 2012 tmb <tmb> 1:6.8.2-3.mga3
+ Revision: 256475
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:6.8.2-2.mga3
+ Revision: 253016
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1:6.8.2-1.mga3
+ Revision: 249894
- new release

* Tue Dec 06 2011 tmb <tmb> 1:6.8.1-7.mga2
+ Revision: 177597
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1:6.8.1-6.mga2
+ Revision: 153125
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1:6.8.1-5.mga1
+ Revision: 64407
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.1-4.mga1
+ Revision: 50264
- imported package x11-driver-video-r128

